%global python3_pkgversion 3.12
%global pypi_name pyspnego
%global pkg_name spnego

Name:           python%{python3_pkgversion}-%{pkg_name}-epel
Version:        0.10.2
Release:        1%{?dist}
Summary:        Windows Negotiate Authentication Client and Server

# SPDX License
License:        MIT
URL:            https://github.com/jborean93/pyspnego
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python SPNEGO Library to handle SPNEGO (Negotiate, NTLM, Kerberos)
authentication. Also includes a packet parser that can be used to
decode raw NTLM/SPNEGO/Kerberos tokens into a human readable format.

%package -n     python%{python3_pkgversion}-%{pkg_name}
Summary:        %{summary}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python3.12dist(setuptools)
BuildRequires:  python3.12dist(wheel)
BuildRequires:  python3.12dist(pytest)
BuildRequires:  python3.12dist(cryptography)

%description -n python%{python3_pkgversion}-%{pkg_name}
Python SPNEGO Library to handle SPNEGO (Negotiate, NTLM, Kerberos)
authentication. Also includes a packet parser that can be used to
decode raw NTLM/SPNEGO/Kerberos tokens into a human readable format.


%pyproject_extras_subpkg -n python3-spnego kerberos


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files spnego

%check
# deselect tests that depend on pytest-mock
%pytest -v tests --deselect tests/test_gss.py::test_gss_sasl_description_fail \
    --deselect "tests/test_ntlm.py::test_ntlm_custom_time[True-0]" \
    --deselect "tests/test_ntlm.py::test_ntlm_custom_time[False-1]"


%files -n python%{python3_pkgversion}-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pyspnego-parse


%changelog
* Sat May 25 2024 Orion Poplawski <orion@nwra.com> - 0.10.2-1
- Build for EPEL with Python 3.12
